Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorIgor Fedorenko2014-08-08 06:33:07 -0400
committerIgor Fedorenko2014-08-14 13:43:09 -0400
commit67328b0e61000303d5b8c01b810220b9206f7d23 (patch)
treef7858ba6bddd4c5c2ab52d8eb866f4eeacfdeabf
parent6003796511c0fdeb203346b3fbe15d6921d01c31 (diff)
downloadm2e-core-67328b0e61000303d5b8c01b810220b9206f7d23.tar.gz
m2e-core-67328b0e61000303d5b8c01b810220b9206f7d23.tar.xz
m2e-core-67328b0e61000303d5b8c01b810220b9206f7d23.zip
441415 force use of javax.inject package from m2e
Both org.eclipse.core.runtime and org.eclipse.m2e.maven.runtime export javax.inject package and they are both required by m2e.core bundle. Sisu and Guice, packaged in m2e.maven.runtime expect to use specific version of the package and therefore m2e.core must be locked to use specific javax.inject Change-Id: I314d73c2658c0a4fdb9eaa1a9d90558520f8b99b Signed-off-by: Igor Fedorenko <igor@ifedorenko.com>
-rw-r--r--org.eclipse.m2e.core/META-INF/MANIFEST.MF9
1 files changed, 5 insertions, 4 deletions
diff --git a/org.eclipse.m2e.core/META-INF/MANIFEST.MF b/org.eclipse.m2e.core/META-INF/MANIFEST.MF
index 3bbd5870..07efd385 100644
--- a/org.eclipse.m2e.core/META-INF/MANIFEST.MF
+++ b/org.eclipse.m2e.core/META-INF/MANIFEST.MF
@@ -7,14 +7,14 @@ Bundle-Activator: org.eclipse.m2e.core.internal.MavenPluginActivator
Bundle-Vendor: %Bundle-Vendor
Bundle-Localization: plugin
Require-Bundle: org.eclipse.osgi;bundle-version="3.10.0",
- org.eclipse.core.runtime;bundle-version="3.7.0",
- org.eclipse.core.resources;bundle-version="3.9.0",
org.eclipse.m2e.maven.runtime;bundle-version="[1.6.0,1.7.0)",
org.eclipse.m2e.archetype.common;bundle-version="[1.6.0,1.7.0)",
org.eclipse.m2e.maven.indexer;bundle-version="[1.6.0,1.7.0)",
+ org.eclipse.m2e.workspace.cli;bundle-version="0.1.0",
+ org.eclipse.core.runtime;bundle-version="3.7.0",
+ org.eclipse.core.resources;bundle-version="3.9.0",
org.slf4j.api;bundle-version="1.6.2",
- com.google.guava;bundle-version="[14.0.1,16.0.0)",
- org.eclipse.m2e.workspace.cli;bundle-version="0.1.0"
+ com.google.guava;bundle-version="[14.0.1,16.0.0)"
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
Bundle-RequiredExecutionEnvironment: JavaSE-1.7,
@@ -51,3 +51,4 @@ Export-Package: org.eclipse.m2e.core,
org.eclipse.m2e.core.repository
MavenArtifact-GroupId: org.eclipse.m2e
MavenArtifact-ArtifactId: org.eclipse.m2e.core
+Import-Package: javax.inject;provider=m2e

Back to the top